﻿using EmployeeManagement.Entities;
using System.Collections.Generic;

namespace EmployeeManagement.Business
{
    public class EmployeeBusiness
    {
        public Employee Create(Employee employee) => Employee.Insert(employee);

        public Employee Get(int id) => Employee.Select(id);

        public IEnumerable<Employee> List() => Employee.List();

        public void Update(Employee employee) => Employee.Update(employee);

        public void Remove(int id) => Employee.Delete(id);
    }
}
